com.opensymphony.xwork2.validator.annotations

## Annotation Type RegexFieldValidator

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface RegexFieldValidator

  Validates a string field using a regular expression.

  Annotation usage:

  The annotation must be applied at method level.

  Annotation parameters:

  Parameter | Required | Default | Notes
  --- | --- | --- | ---
  message | yes |  | field error message
  key | no |  | i18n key from language specific properties file.
  messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
  fieldName | no |  |
  shortCircuit | no | false | If this validator should be used as shortCircuit.
  type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
  regex | yes |  | The regex to validate the field value against.

  Example code:

       @RegexFieldValidator( key = "regex.field", regex = "yourregexp")

  Author:
    Rainer Hermanns

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `caseSensitive` Match the value in case sensitive manner, default true
    `String` | `caseSensitiveExpression` Allows specify caseSensitive as an expression which will be evaluated during validation
    `String` | `fieldName`
    `String` | `key`
    `String` | `message`
    `String[]` | `messageParams`
    `String` | `regex` Regex used to evaluate field against it
    `String` | `regexExpression` Defines regex as an expression which first will be evaluated against the Value Stack to get proper regex.
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
    `boolean` | `trim` To trim or not the value, default true - trim
    `String` | `trimExpression` Allows specify trim as an expression which will be evaluated during validation
    `ValidatorType` | `type`

- - ### Element Detail

    - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

  - - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

  - - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

  - - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

  - - #### regex

          public abstract String regex

      Regex used to evaluate field against it
      Returns:
        String regular expression
      Default:
        ""

  - - #### regexExpression

          public abstract String regexExpression

      Defines regex as an expression which first will be evaluated against the Value Stack to get proper regex. Thus allow to dynamically change regex base on user actions.
      Returns:
        String an expression which starts with '$' or '%'
      Default:
        ""

  - - #### trim

          public abstract boolean trim

      To trim or not the value, default true - trim
      Returns:
        boolean trim or not the value before validation
      Default:
        true

  - - #### trimExpression

          public abstract String trimExpression

      Allows specify trim as an expression which will be evaluated during validation
      Returns:
        String an expression which starts with '$' or '%'
      Default:
        ""

  - - #### caseSensitive

          public abstract boolean caseSensitive

      Match the value in case sensitive manner, default true
      Returns:
        boolean use case sensitive match or not
      Default:
        true

  - - #### caseSensitiveExpression

          public abstract String caseSensitiveExpression

      Allows specify caseSensitive as an expression which will be evaluated during validation
      Returns:
        boolean use case sensitive match or not
      Default:
        ""

  - - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit='true' attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

  - - #### type

          public abstract ValidatorType type

      Returns:
        The validation type for this field/method.
      Default:
        com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.